class Admin::SitesController < ApplicationController
  
  layout "new_admin"
  before_filter :authenticate_user!
  before_filter :is_admin?
  before_filter :get_site
  
  # def index
  #   @site = Site.first
  #   # redirect_to :action => :new unless @site
  # end
  
  # def new
  #   @site = Site.new
  # end

  def update
    @site.update_attributes(params[:site])
    redirect_to :back
  end

  def site_info
    
  end

  def system_info
    
  end

  def language
    
  end

  def mail_setting
    
  end

  def ui_theme
    
  end

  private

  def get_site
    @site ||= Site.first
  end
  
end
